// UruFunDlg.h : header file
//

#if !defined(AFX_URUFUNDLG_H__8A29112D_427F_48F5_81EB_8CDB691D7866__INCLUDED_)
#define AFX_URUFUNDLG_H__8A29112D_427F_48F5_81EB_8CDB691D7866__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CUruFunDlg dialog

class CUruFunDlg : public CDialog
{
// Construction
public:
	CUruFunDlg(CWnd* pParent = NULL);	// standard constructor
	~CUruFunDlg();

// Dialog Data
	//{{AFX_DATA(CUruFunDlg)
	enum { IDD = IDD_URUFUN_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CUruFunDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CUruFunDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	virtual void OnCancel();
	virtual void OnOK();
	afx_msg void OnSelect();
	afx_msg void OnFilterfile();
	afx_msg void OnAllfile();
	afx_msg void OnShowtext();
	afx_msg void OnShowbin();
	afx_msg void OnSaveenc();
	afx_msg void OnSavedec();
	afx_msg void OnInvertfile();
	afx_msg void OnInvertmem();
	afx_msg void OnUpdatesum();
	afx_msg void OnUpdateall();
	afx_msg void OnItemchangedFilelist(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnClickFilelist(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnStorePath();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
	BOOL UpdateSumFile(CString filename);
	BOOL IsTextData();
	BOOL IsHeaderOK(CString filetitle);
	void ReadFile(CString filename = _T(""));
	void UpdateEditBox();
	void UpdateList();
	CString m_curPath, m_curFile;

	void decodeQuad(UINT *first, UINT *second);
	void encodeQuad(UINT *first, UINT *second);

	unsigned char *m_buffer;
	int m_sizeBuffer;

	CFont m_fixed;

	int m_MaxBufferText;


	BOOL decodeUruStr(char *strEnc, char *realStr);

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_URUFUNDLG_H__8A29112D_427F_48F5_81EB_8CDB691D7866__INCLUDED_)
