// UruFunDlg.cpp : implementation file
//

// This program encrypt/decrypt the 'whatdoyousee' file found in Uru.

// It can read various encrypted file from Uru (SDL, PAK, INI, etc.).  It can also read unencrypted file with
// a TXT or BIN extension (this is used to read a plain text or binary file edited using an external editor).
// It can save the edited file back in encrypted format.  The save depends on the 'show' mode (text or binary).
// A text file displayed in binary will save OK but the opposite is not true.  Make sure to be in 'sho binary'
// mode before saving a binary file (ex.: Python.pak file).  The editor works only for text file.  Binary file
// must be saved an edited using an external editor.

// Compiled with Visual C++ 6.0 from Microsoft.  It's an MFC dialog application.

// First version: March 2004


#include "stdafx.h"
#include "UruFun.h"
#include "UruFunDlg.h"
#include "CompMD5.h"

#include "FolderSelect.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


const TCHAR *const RegKeyStorePath = _T("KeepLastPath");
const TCHAR *const RegKeyLastPath = _T("LastPathUruFun");

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CUruFunDlg dialog

CUruFunDlg::CUruFunDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CUruFunDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CUruFunDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);

	m_buffer = NULL;
	m_sizeBuffer = 0;
	m_MaxBufferText = 4500000;
}

CUruFunDlg::~CUruFunDlg()
{
	if (m_buffer) {
		free(m_buffer);
		m_buffer = NULL;
	}
	m_sizeBuffer = 0;
}


void CUruFunDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CUruFunDlg)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CUruFunDlg, CDialog)
	//{{AFX_MSG_MAP(CUruFunDlg)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDC_SELECT, OnSelect)
	ON_BN_CLICKED(IDC_FILTERFILE, OnFilterfile)
	ON_BN_CLICKED(IDC_ALLFILE, OnAllfile)
	ON_BN_CLICKED(IDC_SHOWTEXT, OnShowtext)
	ON_BN_CLICKED(IDC_SHOWBIN, OnShowbin)
	ON_BN_CLICKED(IDC_SAVEENC, OnSaveenc)
	ON_BN_CLICKED(IDC_SAVEDEC, OnSavedec)
	ON_BN_CLICKED(IDC_INVERTFILE, OnInvertfile)
	ON_BN_CLICKED(IDC_INVERTMEM, OnInvertmem)
	ON_BN_CLICKED(IDC_UPDATESUM, OnUpdatesum)
	ON_BN_CLICKED(IDC_UPDATEALL, OnUpdateall)
	ON_NOTIFY(LVN_ITEMCHANGED, IDC_FILELIST, OnItemchangedFilelist)
	ON_NOTIFY(NM_CLICK, IDC_FILELIST, OnClickFilelist)
	ON_WM_VSCROLL()
	ON_BN_CLICKED(IDC_STORE_PATH, OnStorePath)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CUruFunDlg message handlers

BOOL CUruFunDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	// TODO: Add extra initialization here
	CAboutDlg dlgAbout;
	dlgAbout.DoModal();

	CString tempStr;
	tempStr.Format(_T("%d"), m_MaxBufferText);
	GetDlgItem(IDC_BUFSIZE)->SetWindowText(tempStr);

	((CButton *)GetDlgItem(IDC_FILTERFILE))->SetCheck(1);
	((CButton *)GetDlgItem(IDC_SHOWTEXT))->SetCheck(1);

	CListCtrl *myList = (CListCtrl *)GetDlgItem(IDC_FILELIST);
	myList->InsertColumn(0,_T("Filename"));
	myList->SetColumnWidth(0, 500);

	int distTab = 15;
	CEdit *myEdit = (CEdit *)GetDlgItem(IDC_TEXTBOX);
	myEdit->SetTabStops(distTab);
	m_fixed.CreatePointFont(90, _T("Fixedsys"));
	myEdit->SetFont(&m_fixed);

	// Set the 'store path' flag
	int storePath = AfxGetApp()->GetProfileInt(_T(""), RegKeyStorePath, 0);
	if (storePath) {
		((CButton *)GetDlgItem(IDC_STORE_PATH))->SetCheck(1);
		m_curPath = AfxGetApp()->GetProfileString(_T(""), RegKeyLastPath);
	}
	if (m_curPath.IsEmpty()) {
		DWORD size = GetCurrentDirectory(0, NULL);
		GetCurrentDirectory(size, m_curPath.GetBuffer(size));
		m_curPath.ReleaseBuffer();
		m_curPath += _T('\\');

		if (storePath)
			AfxGetApp()->WriteProfileString(_T(""), RegKeyLastPath, m_curPath);
	}
	
	GetDlgItem(IDC_PATH)->SetWindowText(m_curPath);

	UpdateList();

	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CUruFunDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void CUruFunDlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR CUruFunDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}

void CUruFunDlg::OnCancel() 
{
	CDialog::OnCancel();
}

void CUruFunDlg::OnOK() 
{
	OnCancel();
}

BOOL CAboutDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	GetDlgItem(IDC_EDIT1)->SetWindowText(_T("This program encrypt/decrypt the WhatDoYouSee file found in Uru.\r\n")
																			 _T("It has been created by a Uru fan.\r\n")
																			 _T("It is not approved/authorized by Ubisoft or Cyan.\r\n")
																			 _T("Don't ask them for any support concerning this program.\r\n")
																			 _T("You may find some support at www.clockworkorangebbs.org in the H'Uru forum"));
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

// Select new folder
void CUruFunDlg::OnSelect() 
{
	CFolderSelect mySelect;

	mySelect.m_dirName = m_curPath;
	mySelect.m_MsgBrowse = _T("");
	if (mySelect.DoModal(this) == IDOK) {
		m_curPath = mySelect.m_dirName;
		GetDlgItem(IDC_PATH)->SetWindowText(m_curPath);

		BOOL isChecked = ((CButton *)GetDlgItem(IDC_STORE_PATH))->GetCheck();

		if (isChecked)
			AfxGetApp()->WriteProfileString(_T(""), RegKeyLastPath, m_curPath);

		UpdateList();
	}
	
}

// Update the list of file in the current directory
void CUruFunDlg::UpdateList()
{
	// Clear text display and list box
	GetDlgItem(IDC_TEXTBOX)->SetWindowText(_T("*** No file selected ***"));
	((CEdit *)GetDlgItem(IDC_TEXTBOX))->SetReadOnly();
	m_curFile.Empty();

	CListCtrl *myList = (CListCtrl *)GetDlgItem(IDC_FILELIST);
	myList->EnableWindow(TRUE);
	myList->DeleteAllItems();


	CString pattern = m_curPath;
	pattern += _T("*.*");
	BOOL isFilter = ((CButton *)GetDlgItem(IDC_FILTERFILE))->GetCheck();

	CFileFind finder;
	BOOL isFile = finder.FindFile(pattern);
	int nbrFile = 0;
	BOOL isGood;
	while (isFile) {
		isFile = finder.FindNextFile();

		if (!finder.IsDots() && !finder.IsDirectory() && !finder.IsSystem() && !finder.IsHidden()) {
			if (isFilter) {
				isGood = FALSE;
				CString ext = finder.GetFileName();
				int posDot = ext.ReverseFind(_T('.'));
				if (posDot >= 0)
					ext = ext.Mid(posDot + 1);
				ext.MakeUpper();
				if ((ext == _T("TXT")) || (ext == _T("BIN")) || (ext == _T("SDL")) || (ext == _T("AGE")) ||
						(ext == _T("INI")) || (ext == _T("CSV")) || (ext == _T("TXT")) || (ext == _T("DAT")) ||
						(ext == _T("FNI")) || (ext == _T("SUM")) || (ext == _T("CFG")) || (ext == _T("PAK")) )
					isGood = TRUE;
			} else
				isGood = TRUE;

			if (isGood) {
				myList->InsertItem(nbrFile, finder.GetFileName());
				nbrFile++;
			}
		}
	}
	finder.Close();

	if (!nbrFile) {
		myList->InsertItem(nbrFile, _T("*** No match ***"));
		myList->EnableWindow(FALSE);
	} else {
		// Select first file unless too big
		CString newFile = myList->GetItemText(0, 0);
		CString filename = m_curPath + _T('\\') + newFile;
		if (finder.FindFile(filename)) {
			finder.FindNextFile();
			if (finder.GetLength() < 50000)
				myList->SetItemState(0, LVIS_SELECTED, LVIS_SELECTED);		// Select first file in list
		}
		
			
		ReadFile();
	}

}

void CUruFunDlg::OnFilterfile() 
{
	UpdateList();	
}

void CUruFunDlg::OnAllfile() 
{
	UpdateList();	
}

// Update the content of the edit box with the text or binary data
void CUruFunDlg::UpdateEditBox()
{
	CWaitCursor myWait;

	// Display the content of the m_buffer in text or binary
	if (!m_buffer || !m_sizeBuffer) {
		GetDlgItem(IDC_TEXTBOX)->SetWindowText(_T("*** File is empty ***"));
		((CEdit *)GetDlgItem(IDC_TEXTBOX))->SetReadOnly();
		return;
	}

	// Fetch max buffer size for display
	CString tempStr;
	GetDlgItem(IDC_BUFSIZE)->GetWindowText(tempStr);
	tempStr.TrimLeft();
	tempStr.TrimRight();
	m_MaxBufferText = atoi(tempStr);
	if (m_MaxBufferText < 100)
		m_MaxBufferText = 100;


	CString data;
	BOOL isTooLarge = FALSE;
	if (((CButton *)GetDlgItem(IDC_SHOWTEXT))->GetCheck()) {
		// Display as text
		((CEdit *)GetDlgItem(IDC_TEXTBOX))->SetReadOnly(FALSE);
		data = m_buffer;
		if (data.GetLength() > 4 * m_MaxBufferText) {
			data = data.Left(4 * m_MaxBufferText);
			isTooLarge = TRUE;
		}

	} else {
		// Display as binary
		((CEdit *)GetDlgItem(IDC_TEXTBOX))->SetReadOnly();
	
		char dataChar, mapStr[256][3];
		for (int index = 0; index < 256; index++) {
			dataChar = (index >> 4) & 0xf;
			if (dataChar <= 9)
				mapStr[index][0] = _T('0') + dataChar;
			else
				mapStr[index][0] = _T('A') + dataChar - 10;

			dataChar = index & 0xf;
			if (dataChar <= 9)
				mapStr[index][1] = _T('0') + dataChar;
			else
				mapStr[index][1] = _T('A') + dataChar - 10;
			
			mapStr[index][2] = ' ';
		}
	
		int nbrLine = m_sizeBuffer / 16 + 1;
		char *outStr = data.GetBuffer(4 * m_MaxBufferText + nbrLine * 12 + 10);
		int outPos = 0;

		CString tempStr;
		char strBin[49], strTxt[17];
		strBin[48] = strTxt[16] = 0;
		int insPos = 0;
		
		for (int offsetData = 0; (offsetData < m_sizeBuffer) && (offsetData < m_MaxBufferText); offsetData++) {
			// Flush line in the display buffer
			if (insPos >= 16) {
				if (outPos) {
					outStr[outPos++] = '\r';
					outStr[outPos++] = '\n';
				}
				strncpy(outStr + outPos, strBin, 48);
				outPos += 48;
				
				outStr[outPos++] = '\t';

				strncpy(outStr + outPos, strTxt, 16);
				outPos += 16;

				outStr[outPos++] = '\t';

				// Add the offset in the buffer
				tempStr.Format(_T("%08x"), offsetData - 16);
				strncpy(outStr + outPos, tempStr, 8);
				outPos += 8;
				
				insPos = 0;
			}

			// Create binary representation
			strBin[insPos * 3] = mapStr[m_buffer[offsetData]][0];
			strBin[insPos * 3 + 1] = mapStr[m_buffer[offsetData]][1];
			strBin[insPos * 3 + 2] = mapStr[m_buffer[offsetData]][2];

			// Create text representation
			if ((m_buffer[offsetData] >= 0x20) && (m_buffer[offsetData] <= 0x7f))
				strTxt[insPos] = m_buffer[offsetData];
			else
				strTxt[insPos] = '.';

			insPos++;
		}
		strBin[insPos * 3] = 0;
		strTxt[insPos] = 0;

		if (strBin[0]) {
			// Flush last line in the buffer
			int nbrSpace = 16 - insPos;
		
			if (outPos) {
				outStr[outPos++] = '\r';
				outStr[outPos++] = '\n';
			}
			strncpy(outStr + outPos, strBin, insPos * 3);
			outPos += insPos * 3;
			
			if (nbrSpace) {
				CString space(_T(' '), nbrSpace * 3);		// Pad to correct length
				strncpy(outStr + outPos, space, nbrSpace * 3);
				outPos += nbrSpace * 3;
			}

			outStr[outPos++] = '\t';

			strncpy(outStr + outPos, strTxt, insPos);
			outPos += insPos;

			if (nbrSpace) {
				CString space(_T(' '), nbrSpace);		// Pad to correct length
				strncpy(outStr + outPos, space, nbrSpace);
				outPos += nbrSpace;
			}

			outStr[outPos++] = '\t';

			// Add the offset in the buffer
			tempStr.Format(_T("%08x"), offsetData - 16);
			strncpy(outStr + outPos, tempStr, 8);
			outPos += 8;
		}
		outStr[outPos] = 0;
		data.ReleaseBuffer(outPos);

		if (offsetData < m_sizeBuffer)
			isTooLarge = TRUE;
	}

	if (isTooLarge) {
		data += _T("\r\n*** FILE TOO LARGE TO DISPLAY IN THIS EDITOR ***\r\n*** SAVE IT AND EDIT USING ANOTHER EDITOR ***");
		((CEdit *)GetDlgItem(IDC_TEXTBOX))->SetReadOnly();
	}

	GetDlgItem(IDC_TEXTBOX)->SetWindowText(data);

}

// Decrypt a file and display it.  If no 'newFile' is provided, this function read the currently selected
// file in the list box (newFile must not include the path).
void CUruFunDlg::ReadFile(CString newFile /*= _T("")*/)
{
	// Clear buffer
	if (m_buffer) {
		free(m_buffer);
		m_buffer = NULL;
	}
	m_sizeBuffer = 0;
	m_curFile.Empty();
	

	newFile.TrimLeft();
	newFile.TrimRight();
	if (newFile.IsEmpty()) {
		// Get selected file
		CListCtrl *myList = (CListCtrl *)GetDlgItem(IDC_FILELIST);
		int curSelect = myList->GetNextItem(-1, LVNI_SELECTED);
		if (!myList->IsWindowEnabled() || (curSelect < 0)) {
			GetDlgItem(IDC_TEXTBOX)->SetWindowText(_T("*** No file selected ***"));
			((CEdit *)GetDlgItem(IDC_TEXTBOX))->SetReadOnly();
			return;
		}

		newFile = myList->GetItemText(curSelect, 0);
	}

	CString ext = newFile;
	int posDot = ext.ReverseFind(_T('.'));
	if (posDot >= 0)
		ext = ext.Mid(posDot + 1);
	ext.MakeUpper();

	BOOL decodeIt = TRUE;
	if ((ext == _T("TXT")) || (ext == _T("BIN")))
		decodeIt = FALSE;
	else {
		// Check for the WhatDoYouSee header
		if (!IsHeaderOK(newFile)) {
			GetDlgItem(IDC_TEXTBOX)->SetWindowText(_T("*** Not a WhatDoYouSee file ***"));
			((CEdit *)GetDlgItem(IDC_TEXTBOX))->SetReadOnly();
			return;
		}
	}

	// Read the file in a temporary buffer
	CWaitCursor myWait;
	char *tempBuf = NULL;
	CString filename = m_curPath + _T('\\') + newFile;

	CFile myFile;
	CFileException myErrFile;
	if (!myFile.Open(filename, CFile::modeRead | CFile::shareDenyWrite, &myErrFile)) {
		MessageBox(_T("Error with open file in CUruFunDlg::ReadFile"));
		return;
	}
	DWORD fileSize = myFile.GetLength();
	tempBuf = (char *)malloc(fileSize);
	if (!tempBuf) {
		MessageBox(_T("Out of memory in CUruFunDlg::ReadFile"));
		try {
			myFile.Close();
		}
		catch (CFileException *errClose) {
			errClose->Delete();
		}
		return;
	}

	try {
		if (myFile.ReadHuge(tempBuf, fileSize) != fileSize) {
			MessageBox(_T("Error reading file in CUruFunDlg::ReadFile"));
			myFile.Close();
			free(tempBuf);
			return;
		}

		myFile.Close();
	}
	catch (CFileException *errFile) {
		errFile->Delete();
		MessageBox(_T("Error reading file in CUruFunDlg::ReadFile"));
		try {
			myFile.Close();
		}
		catch (CFileException *errClose) {
			errClose->Delete();
		}
		free(tempBuf);
		return;
	}

	if (decodeIt) {
		// Decode the buffer
		DWORD offsetData = 0x10;
		while (offsetData < fileSize) {
			decodeQuad((UINT *)(tempBuf + offsetData), (UINT *)(tempBuf + offsetData + 4));
			offsetData += 8;
		}

		DWORD newSize = *((DWORD *)(tempBuf + 12));
		if (newSize <= (fileSize - 16))
			fileSize = newSize;		// Keep real size of the buffer
	}

	// keep data in global buffer and display it
	m_buffer = (unsigned char *)malloc(fileSize + 1);
	if (!m_buffer) {
		MessageBox(_T("Out of memory in CUruFunDlg::ReadFile"));
		free(tempBuf);
		return;
	}
	if (decodeIt)
		memcpy(m_buffer, tempBuf + 16, fileSize);
	else
		memcpy(m_buffer, tempBuf, fileSize);
	m_buffer[fileSize] = 0;
	m_sizeBuffer = fileSize;

	free(tempBuf);

	m_curFile = newFile;


	if (IsTextData()) {
		((CButton *)GetDlgItem(IDC_SHOWTEXT))->SetCheck(1);
		((CButton *)GetDlgItem(IDC_SHOWBIN))->SetCheck(0);
	} else {
		((CButton *)GetDlgItem(IDC_SHOWTEXT))->SetCheck(0);
		((CButton *)GetDlgItem(IDC_SHOWBIN))->SetCheck(1);
	}

	UpdateEditBox();
}

// Encode two UINT
void CUruFunDlg::decodeQuad(UINT *first, UINT *second)
{
	UINT out1 = *first, out2 = *second, base = 0xc6ef3720;
	UINT temp1, temp2, crossRef[4];

	crossRef[0] = 0x6c0a5452;
	crossRef[1] = 0x03827d0f;
	crossRef[2] = 0x3a170b92;
	crossRef[3] = 0x16db7fc2;

	for (int index = 0x20; index > 0; index--) {
		// First word
		temp1 = temp2 = out1;
		temp1 >>= 5;
		temp2 <<= 4;
		temp1 ^= temp2;
		temp1 += out1;

		temp2 = base;
		temp2 >>= 0x0b;
		temp2 &= 0x03;

		temp2 = crossRef[temp2];
		temp2 += base;
		base += 0x61c88647;

		temp1 ^= temp2;
		out2 -= temp1;

		// Second word
		temp1 = temp2 = out2;
		temp1 >>= 5;
		temp2 <<= 4;
		temp1 ^= temp2;
		temp1 += out2;

		temp2 = base;
		temp2 &= 0x03;

		temp2 = crossRef[temp2];
		temp2 += base;

		temp1 ^= temp2;
		out1 -= temp1;
	}

	*first = out1;
	*second = out2;

}

// Encode two UINT
void CUruFunDlg::encodeQuad(UINT *first, UINT *second)
{
	UINT out1 = *first, out2 = *second, base = 0;
	UINT temp1, temp2, crossRef[4];

	crossRef[0] = 0x6c0a5452;
	crossRef[1] = 0x03827d0f;
	crossRef[2] = 0x3a170b92;
	crossRef[3] = 0x16db7fc2;

	for (int index = 0x20; index > 0; index--) {
		// Second word
		temp1 = temp2 = out2;
		temp1 >>= 5;
		temp2 <<= 4;
		temp1 ^= temp2;
		temp1 += out2;

		temp2 = base;
		temp2 &= 0x03;

		temp2 = crossRef[temp2];
		temp2 += base;
		base -= 0x61c88647;

		temp1 ^= temp2;
		out1 += temp1;

		
		// First word
		temp1 = temp2 = out1;
		temp1 >>= 5;
		temp2 <<= 4;
		temp1 ^= temp2;
		temp1 += out1;

		temp2 = base;
		temp2 >>= 0x0b;
		temp2 &= 0x03;

		temp2 = crossRef[temp2];
		temp2 += base;

		temp1 ^= temp2;
		out2 += temp1;

	}

	*first = out1;
	*second = out2;
}

// return TRUE if the wahtdoyousee header is in the file
BOOL CUruFunDlg::IsHeaderOK(CString filetitle)
{
	CString filename = m_curPath + _T('\\') + filetitle;

	CFile myFile;
	CFileException myErrFile;
	if (!myFile.Open(filename, CFile::modeRead | CFile::shareDenyWrite, &myErrFile)) {
		MessageBox(_T("Error with open file in CUruFunDlg::IsHeaderOK"));
		return FALSE;
	}

	BOOL isOK = FALSE;
	char header[16];
	try {
		if (myFile.Read(header, 16) == 16) {
			if (strncmp(header, "whatdoyousee", 12) == 0)
				isOK = TRUE;
		}
		myFile.Close();
	}
	catch(CFileException *errFile) {
		MessageBox(_T("Error with read file in CUruFunDlg::IsHeaderOK"));
		errFile->Delete();
		try {
			myFile.Close();
		}
		catch (CFileException *errClose) {
			errClose->Delete();
		}
	}
	return isOK;
}

void CUruFunDlg::OnShowtext() 
{
	UpdateEditBox();
}

void CUruFunDlg::OnShowbin() 
{
	UpdateEditBox();
}

// Save current data as an encrypted file
void CUruFunDlg::OnSaveenc() 
{
	if (m_curFile.IsEmpty()) {
		MessageBox(_T("No file selected"));
		return;
	}

	if (!m_buffer || !m_sizeBuffer) {
		MessageBox(_T("No data in memory"));
		return;
	}

	// When in text mode, read the data from the edit box if box enabled
	CEdit *myEdit = (CEdit *)GetDlgItem(IDC_TEXTBOX);
	if (((CButton *)GetDlgItem(IDC_SHOWTEXT))->GetCheck() && myEdit->IsWindowEnabled()) {
		CString newData;
		myEdit->GetWindowText(newData);
		
		free(m_buffer);
		int newSize = newData.GetLength();
		m_sizeBuffer = 0;
		m_buffer = (unsigned char *)malloc(newSize + 1);
		if (!m_buffer) {
			MessageBox(_T("Out of memory in CUruFunDlg::OnSaveenc"));
			return;
		}
		strcpy((char *)m_buffer, newData);
		m_sizeBuffer = newSize;
	}

	// Encode the data in a temporary buffer
	CWaitCursor myWait;
	char *tempBuf;
	int sizeTemp = m_sizeBuffer + 16;		// Add space for the header
	if (sizeTemp % 8)
		sizeTemp += 8 - (sizeTemp % 8);				// Add enough to be on an 8 bytes boundary
	tempBuf = (char *)malloc(sizeTemp);
	if (!tempBuf) {
		MessageBox(_T("Out of memory in CUruFunDlg::OnSaveenc"));
		return;
	}
	
	// Copy buffer and set header properly
	memcpy(tempBuf + 16, m_buffer, m_sizeBuffer);
	strcpy(tempBuf, "whatdoyousee");
	*((int *)(tempBuf + 12)) = m_sizeBuffer;

	// Encode data
	int offsetData = 0x10;
	while (offsetData < sizeTemp) {
		encodeQuad((UINT *)(tempBuf + offsetData), (UINT *)(tempBuf + offsetData + 4));
		offsetData += 8;
	}

	// Get rid of the BIN or TXT extension if in the filename
	CString saveName = m_curFile;
	CString ext = saveName;
	int posDot = ext.ReverseFind(_T('.'));
	if (posDot >= 0)
		ext = ext.Mid(posDot + 1);
	ext.MakeUpper();
	if ((ext == _T("TXT")) || (ext == _T("BIN")))
		saveName = saveName.Left(posDot);

	CString filename = m_curPath + _T('\\') + saveName;

	// Check if the file is 'read-only' and change it if user wants it
	DWORD curAttrib = GetFileAttributes(filename);
	if ((curAttrib != DWORD(-1)) && ((curAttrib & FILE_ATTRIBUTE_READONLY) == FILE_ATTRIBUTE_READONLY) ) {
		if (MessageBox(_T("File is set to Read-Only.  Do you want to overwrite it anyway?"), _T("Confirmation"), MB_YESNOCANCEL | MB_DEFBUTTON2 | MB_ICONQUESTION) != IDYES) {
			free(tempBuf);
			return;
		}

		curAttrib &= ~FILE_ATTRIBUTE_READONLY;
		if (!SetFileAttributes(filename, curAttrib)) {
			MessageBox(_T("Unable to reset the READ-ONLY attribute."));
			free(tempBuf);
			return;
		}
	}

	// Save data to disk
	CFile myFile;
	CFileException myErrFile;
	if (!myFile.Open(filename, CFile::modeCreate | CFile::modeWrite | CFile::shareExclusive, &myErrFile)) {
		MessageBox(_T("Error with open file in CUruFunDlg::OnSaveenc"));
		free(tempBuf);
		return;
	}

	try {
		myFile.WriteHuge(tempBuf, sizeTemp);
		myFile.Close();
	}
	catch (CFileException *errFile) {
		errFile->Delete();
		MessageBox(_T("Error writing file in CUruFunDlg::OnSaveenc"));
		try {
			myFile.Close();
		}
		catch (CFileException *errClose) {
			errClose->Delete();
		}
		free(tempBuf);
		return;
	}

	free(tempBuf);
}

// This function check the m_bufer and returns TRUE if data seem to be in text
BOOL CUruFunDlg::IsTextData()
{
	if (!m_buffer || !m_sizeBuffer)
		return FALSE;

	int goodChar = 0;
	for (int index = 0; index < m_sizeBuffer; index++) {
		if (((m_buffer[index] >= ' ') && (m_buffer[index] <= '~')) || isspace(m_buffer[index]))
			goodChar++;
	}

	if ((double(goodChar) / m_sizeBuffer) > 0.90)
		return TRUE;
	else
		return FALSE;
}

// Save current buffer not encrypted in a TXT or BIN file
void CUruFunDlg::OnSavedec() 
{
	if (m_curFile.IsEmpty()) {
		MessageBox(_T("No file selected"));
		return;
	}

	if (!m_buffer || !m_sizeBuffer) {
		MessageBox(_T("No data in memory"));
		return;
	}

	// When in text mode, read the data from the edit box if box enabled
	CEdit *myEdit = (CEdit *)GetDlgItem(IDC_TEXTBOX);
	if (((CButton *)GetDlgItem(IDC_SHOWTEXT))->GetCheck() && myEdit->IsWindowEnabled()) {
		CString newData;
		myEdit->GetWindowText(newData);
		
		free(m_buffer);
		int newSize = newData.GetLength();
		m_sizeBuffer = 0;
		m_buffer = (unsigned char *)malloc(newSize + 1);
		if (!m_buffer) {
			MessageBox(_T("Out of memory in CUruFunDlg::OnSavedec"));
			return;
		}
		strcpy((char *)m_buffer, newData);
		m_sizeBuffer = newSize;
	}

	// Add the BIN or TXT extension unless it is already in the filename
	CString saveName = m_curFile;
	CString ext = saveName;
	int posDot = ext.ReverseFind(_T('.'));
	if (posDot >= 0)
		ext = ext.Mid(posDot + 1);
	ext.MakeUpper();
	if ((ext != _T("TXT")) && (ext != _T("BIN"))) {
		if (((CButton *)GetDlgItem(IDC_SHOWTEXT))->GetCheck())
			saveName += _T(".TXT");
		else
			saveName += _T(".BIN");
	}
	
	CString filename = m_curPath + _T('\\') + saveName;

	// Check if the file is 'read-only' and change it if user wants it
	DWORD curAttrib = GetFileAttributes(filename);
	if ((curAttrib != DWORD(-1)) && ((curAttrib & FILE_ATTRIBUTE_READONLY) == FILE_ATTRIBUTE_READONLY) ) {
		if (MessageBox(_T("File is set to Read-Only.  Do you want to overwrite it anyway?"), _T("Confirmation"), MB_YESNOCANCEL | MB_DEFBUTTON2 | MB_ICONQUESTION) != IDYES) {
			return;
		}

		curAttrib &= ~FILE_ATTRIBUTE_READONLY;
		if (!SetFileAttributes(filename, curAttrib)) {
			MessageBox(_T("Unable to reset the READ-ONLY attribute."));
			return;
		}
	}

	// Save data to disk
	CFile myFile;
	CFileException myErrFile;
	if (!myFile.Open(filename, CFile::modeCreate | CFile::modeWrite | CFile::shareExclusive, &myErrFile)) {
		MessageBox(_T("Error with open file in CUruFunDlg::OnSavedec"));
		return;
	}

	try {
		myFile.WriteHuge(m_buffer, m_sizeBuffer);
		myFile.Close();
	}
	catch (CFileException *errFile) {
		errFile->Delete();
		MessageBox(_T("Error writing file in CUruFunDlg::OnSavedec"));
		try {
			myFile.Close();
		}
		catch (CFileException *errClose) {
			errClose->Delete();
		}
		return;
	}

}

// Invert all bit of the selected file (overwrite existing file)
void CUruFunDlg::OnInvertfile() 
{
	// Get selected file
	CListCtrl *myList = (CListCtrl *)GetDlgItem(IDC_FILELIST);
	int curSelect = myList->GetNextItem(-1, LVNI_SELECTED);
	if (!myList->IsWindowEnabled() || (curSelect < 0)) {
		MessageBox(_T("You must select a file"));
		return;
	}

	CString newFile = myList->GetItemText(curSelect, 0);

	// Just make sure it's not a mistake...
	CString msgConfirm;
	msgConfirm.Format(_T("Do you want to invert %s?"), (LPCTSTR)newFile);
	if (MessageBox(msgConfirm, _T("Confirmation"), MB_YESNOCANCEL | MB_DEFBUTTON1 | MB_ICONQUESTION) != IDYES)
		return;


	// Read the file in a temporary buffer
	CWaitCursor myWait;
	char *tempBuf = NULL;
	CString filename = m_curPath + _T('\\') + newFile;

	CFile myFile;
	CFileException myErrFile;
	if (!myFile.Open(filename, CFile::modeRead | CFile::shareDenyWrite, &myErrFile)) {
		MessageBox(_T("Error with open file in CUruFunDlg::OnInvertfile"));
		return;
	}
	DWORD fileSize = myFile.GetLength();
	tempBuf = (char *)malloc(fileSize);
	if (!tempBuf) {
		MessageBox(_T("Out of memory in CUruFunDlg::OnInvertfile"));
		try {
			myFile.Close();
		}
		catch (CFileException *errClose) {
			errClose->Delete();
		}
		return;
	}

	try {
		if (myFile.ReadHuge(tempBuf, fileSize) != fileSize) {
			MessageBox(_T("Error reading file in CUruFunDlg::OnInvertfile"));
			myFile.Close();
			free(tempBuf);
			return;
		}

		myFile.Close();
	}
	catch (CFileException *errFile) {
		errFile->Delete();
		MessageBox(_T("Error reading file in CUruFunDlg::OnInvertfile"));
		try {
			myFile.Close();
		}
		catch (CFileException *errClose) {
			errClose->Delete();
		}
		free(tempBuf);
		return;
	}

	// Do the invert
	for (DWORD index = 0; index < fileSize; index++)
		tempBuf[index] = ~tempBuf[index];

	if (!myFile.Open(filename, CFile::modeCreate | CFile::modeWrite | CFile::shareExclusive, &myErrFile)) {
		MessageBox(_T("Error with open file in CUruFunDlg::OnInvertfile"));
		free(tempBuf);
		return;
	}

	try {
		myFile.WriteHuge(tempBuf, fileSize);
		myFile.Close();
	}
	catch (CFileException *errFile) {
		errFile->Delete();
		MessageBox(_T("Error writing file in CUruFunDlg::OnInvertfile"));
		try {
			myFile.Close();
		}
		catch (CFileException *errClose) {
			errClose->Delete();
		}
		free(tempBuf);
		return;
	}

	free(tempBuf);

}

// Invert bit in memory
void CUruFunDlg::OnInvertmem() 
{
	if (!m_buffer || !m_sizeBuffer) {
		MessageBox(_T("No data in memory"));
		return;
	}

	// Do the invert
	for (int index = 0; index < m_sizeBuffer; index++)
		m_buffer[index] = ~m_buffer[index];

	// Refresh edit box
	if (IsTextData()) {
		((CButton *)GetDlgItem(IDC_SHOWTEXT))->SetCheck(1);
		((CButton *)GetDlgItem(IDC_SHOWBIN))->SetCheck(0);
	} else {
		((CButton *)GetDlgItem(IDC_SHOWTEXT))->SetCheck(0);
		((CButton *)GetDlgItem(IDC_SHOWBIN))->SetCheck(1);
	}

	UpdateEditBox();

}

// This function decode a Uru string.  'strEnc' pointed to the encrypted string while 'realStr' should point
// to a buffer of at least 256 bytes (max len for uru string).  Returns FALSE in case of problem.
BOOL CUruFunDlg::decodeUruStr(char *strEnc, char *realStr)
{
	if (!strEnc || !realStr)
		return FALSE;
	if (strEnc[1] != char(0xf0))
		return FALSE;

	int length = strEnc[0];
	memcpy(realStr, strEnc + 2, length);
	realStr[length] = 0;
	for (int index = 0; index < length; index++)
		realStr[index] ^= 0xff;

	return TRUE;
}

// Update the checksum of the curerntly selected SUM file
void CUruFunDlg::OnUpdatesum() 
{
	// Get selected file
	CListCtrl *myList = (CListCtrl *)GetDlgItem(IDC_FILELIST);
	int curSelect = myList->GetNextItem(-1, LVNI_SELECTED);
	if (!myList->IsWindowEnabled() || (curSelect < 0)) {
		MessageBox(_T("You must select a SUM file"));
		return;
	}

	CString newFile = myList->GetItemText(curSelect, 0);

	// Make sure it's a SUM file
	newFile.MakeUpper();
	if (newFile.Find(_T(".SUM")) < 0) {
		MessageBox(_T("You must select a SUM file"));
		return;
	}

	int nbrUdapted = UpdateSumFile(newFile);
	ReadFile();							// Re-read the new SUM file from disk

	CString msgEnd;
	if (nbrUdapted < 0) {
		msgEnd = _T("File NOT UPDATED because of error during processing");
	} else if (nbrUdapted == 0) {
		msgEnd = _T("All checksum were valid (no change made to the SUM file)");
	} else {
		msgEnd.Format(_T("%d checksum were updated"), nbrUdapted);
	}
	MessageBox(msgEnd);
}


// This function read the specified SUM file (must only be the name of the file with the SUM extension without
// path).  It then update all MD5 and file timestamp and save the result in the same file.  Returns the number
// of checksum updated or -1 in case of error.
int CUruFunDlg::UpdateSumFile(CString fileSum)
{
	CWaitCursor myWait;

	// Read the sum file in memory
	ReadFile(fileSum);
	if ((m_sizeBuffer < 10) || !m_buffer) {
		CString errMsg;
		errMsg.Format(_T("Unable to read the SUM file (%s)"), (LPCTSTR)fileSum);
		MessageBox(errMsg);
		return -1;
	}

	// Get rid of the 'dat' in the m_curPath (I assume that user is already in the dat folder)
	CString basePathDat = m_curPath;
	basePathDat.MakeUpper();
	int posChar = basePathDat.Find(_T("\\DAT\\"));
	if (posChar >= 0)
		basePathDat = basePathDat.Left(posChar);

	// Check number of file in the sum and zero code (don't know its meaning)
	int nbrFile = *((int *)m_buffer);
	int zeroCode = *((int *)(m_buffer + 4));

	if ((nbrFile < 1) || (nbrFile > 1000) || (zeroCode != 0)) {
		CString errMsg;
		errMsg.Format(_T("Number of file or 'zero code' invalid for (%s, %d, %d)"), (LPCTSTR)fileSum, nbrFile, zeroCode);
		MessageBox(errMsg);
		return -1;
	}

	// Read all file listed in the SUM file and update MD5 and 
	char uruFilename[256 + 2], realFilename[256];
	int posInBuf = 8, sizeStr;
	CString filename;
	BOOL fileExist, isDifferent;
	CFileFind finder;
	CTime lastUpdate;
	int nbrUpdated = 0;
	while (posInBuf < m_sizeBuffer) {
		// Extract uru string
		sizeStr = m_buffer[posInBuf];
		memcpy(uruFilename, m_buffer + posInBuf, sizeStr + 2);
		if (!decodeUruStr(uruFilename, realFilename)) {
			CString errMsg;
			errMsg.Format(_T("Not a valid 'uru string' in the SUM file (%s)"), (LPCTSTR)fileSum);
			MessageBox(errMsg);
			return -1;
		}
		posInBuf += sizeStr + 2;

		// Check that the file exist
		filename.Format(_T("%s\\%s"), basePathDat, realFilename);
		fileExist = finder.FindFile(filename);
		if (!fileExist) {
			// Make a second try by adding the DAT folder to the name (for the Prime SUM file, the DAT folder is not
			// always stored in the SUM file)
			CString orgName = filename;
			filename.Format(_T("%s\\dat\\%s"), basePathDat, realFilename);

			finder.Close();
			fileExist = finder.FindFile(filename);

			if (!fileExist) {
				CString errMsg;
				errMsg.Format(_T("Unable to find one of the file (%s, %s)"), (LPCTSTR)fileSum, (LPCTSTR)orgName);
				MessageBox(errMsg);
				return -1;
			}
		}

		// Get the modification date of the file
		finder.FindNextFile();
		if (!finder.GetLastWriteTime(lastUpdate)) {
			CString errMsg;
			errMsg.Format(_T("Unable to get the last modification date for one of the file (%s, %s)"), (LPCTSTR)fileSum,
				(LPCTSTR)filename);
			MessageBox(errMsg);
			return -1;
		}
		finder.Close();

		// Compute MD5
		unsigned char digest[16];
		CCompMD5 myMD5;
		if (!myMD5.MD5_sum_file(filename, digest)) {
			CString errMsg;
			errMsg.Format(_T("Unable to compute the MD5 checksum for one of the file (%s, %s)"), (LPCTSTR)fileSum,
				(LPCTSTR)filename);
			MessageBox(errMsg);
			return -1;
		}

		// Update value in the buffer
		isDifferent = FALSE;
		if (memcmp(m_buffer + posInBuf, digest, 16) != 0) {
			isDifferent = TRUE;
			memcpy(m_buffer + posInBuf, digest, 16);
		}
		posInBuf += 16;

		if (*((time_t *)(m_buffer + posInBuf)) != lastUpdate.GetTime()) {
			isDifferent = TRUE;
			*((time_t *)(m_buffer + posInBuf)) = lastUpdate.GetTime();
		}
		posInBuf += 4;

		if (isDifferent)
			nbrUpdated++;

		// Now check that the next code is zero (should be if we are properly synchronize)
		zeroCode = *((int *)(m_buffer + posInBuf));
		if (zeroCode != 0) {
			CString errMsg;
			errMsg.Format(_T("Not a zero code after the timestamp for one of the file (%s, %s)"), (LPCTSTR)fileSum,
				(LPCTSTR)filename);
			MessageBox(errMsg);
			return -1;
		}
		posInBuf += 4;
	}

	if (nbrUpdated > 0) {
		// Just make sure we are in binary display mode (important for the save)
		((CButton *)GetDlgItem(IDC_SHOWTEXT))->SetCheck(0);
		((CButton *)GetDlgItem(IDC_SHOWBIN))->SetCheck(1);
		
		// Now write the buffer to disk (this will encrypt it to)
		OnSaveenc();
	}

	return nbrUpdated;
}

// Update all SUM file in current directory
void CUruFunDlg::OnUpdateall() 
{
	if (MessageBox(_T("Updating all SUM file may take some time.  Are you sure?"), _T("Confirmation"), 
								 MB_YESNOCANCEL | MB_DEFBUTTON1 | MB_ICONQUESTION) != IDYES)
		return;

	// Scan for all SUM file in current directory
	CString pattern = m_curPath + _T("\\*.sum");
	CFileFind finder;
	BOOL isFile = finder.FindFile(pattern);

	int nbrSum = 0, nbrUpdated = 0, nbrError = 0, result;
	while (isFile) {
		nbrSum++;
		isFile = finder.FindNextFile();

		result = UpdateSumFile(finder.GetFileName());
		if (result < 0) {
			nbrError++;
			if (MessageBox(_T("Do you want to continue processing other SUM file?"), _T("Confirmation"), 
										 MB_YESNO | MB_DEFBUTTON2 | MB_ICONQUESTION) != IDYES)
				break;
		} else
			nbrUpdated += result;
	}
	finder.Close();

	// Display a summary
	CString endMsg;
	endMsg.Format(_T("%d SUM file found.  %d checksum updated.  %d SUM file with problem."), nbrSum, nbrUpdated, nbrError);
	MessageBox(endMsg);

}

// Called when user select a file
void CUruFunDlg::OnItemchangedFilelist(NMHDR* pNMHDR, LRESULT* pResult) 
{
	NM_LISTVIEW* pNMListView = (NM_LISTVIEW*)pNMHDR;
	
	if (((pNMListView->uChanged & LVIF_STATE) == LVIF_STATE) && ((pNMListView->uNewState & LVIS_SELECTED) == LVIS_SELECTED))
		ReadFile();

	*pResult = 0;
}

void CUruFunDlg::OnClickFilelist(NMHDR* pNMHDR, LRESULT* pResult) 
{
	// Just make sure that there is still a file selected otherwise clear buffer
	CListCtrl *myList = (CListCtrl *)GetDlgItem(IDC_FILELIST);
	int curSelect = myList->GetNextItem(-1, LVNI_SELECTED);
	if (!myList->IsWindowEnabled() || (curSelect < 0))
		ReadFile();		// This will clear buffer
	
	*pResult = 0;
}

// Change the 'store path' setting in registry
void CUruFunDlg::OnStorePath() 
{
	BOOL isChecked = ((CButton *)GetDlgItem(IDC_STORE_PATH))->GetCheck();
	AfxGetApp()->WriteProfileInt(_T(""), RegKeyStorePath, isChecked);

	if (isChecked)
		AfxGetApp()->WriteProfileString(_T(""), RegKeyLastPath, m_curPath);
	
}
